.TH wxPen 3 "wx  0.98.3" "Ericsson AB" "ERLANG MODULE DEFINITION"
.SH MODULE
wxPen \- See external documentation: wxPen\&.
.SH DESCRIPTION
.LP
See external documentation: wxPen <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxpen\&.html>\&.

.SH DATA TYPES
.RS 2
.TP 4
.B
\fIwxPen()\fR:

.RS 4
.LP
An object reference, The representation is internal and can be changed without notice\&. It can\&'t be used for comparsion stored on disc or distributed for use on other nodes\&.
.LP

.RE
.RE
.SH EXPORTS
.LP
.B
new() -> wxPen()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxpen\&.html#wxpenwxpen>\&.
.RE
.LP
.B
new(Colour::colour() (see module wx)) -> wxPen()
.br
.RS
.LP
Equivalent to new(Colour, [])\&.
.RE
.LP
.B
new(Colour::colour() (see module wx), Options::[Option]) -> wxPen()
.br
.RS
.TP
Types
Option = {width, integer()} | {style, integer()}
.br
.RE
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxpen\&.html#wxpenwxpen>\&.
.RE
.LP
.B
getCap(This::wxPen()) -> integer()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxpen\&.html#wxpengetcap>\&.
.RE
.LP
.B
getColour(This::wxPen()) -> colour() (see module wx)
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxpen\&.html#wxpengetcolour>\&.
.RE
.LP
.B
getJoin(This::wxPen()) -> integer()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxpen\&.html#wxpengetjoin>\&.
.RE
.LP
.B
getStyle(This::wxPen()) -> integer()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxpen\&.html#wxpengetstyle>\&.
.RE
.LP
.B
getWidth(This::wxPen()) -> integer()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxpen\&.html#wxpengetwidth>\&.
.RE
.LP
.B
isOk(This::wxPen()) -> bool()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxpen\&.html#wxpenisok>\&.
.RE
.LP
.B
setCap(This::wxPen(), CapStyle::integer()) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxpen\&.html#wxpensetcap>\&.
.RE
.LP
.B
setColour(This::wxPen(), Colour::colour() (see module wx)) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxpen\&.html#wxpensetcolour>\&.
.RE
.LP
.B
setColour(This::wxPen(), Red::integer(), Green::integer(), Blue::integer()) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxpen\&.html#wxpensetcolour>\&.
.RE
.LP
.B
setJoin(This::wxPen(), JoinStyle::integer()) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxpen\&.html#wxpensetjoin>\&.
.RE
.LP
.B
setStyle(This::wxPen(), Style::integer()) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxpen\&.html#wxpensetstyle>\&.
.RE
.LP
.B
setWidth(This::wxPen(), Width::integer()) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxpen\&.html#wxpensetwidth>\&.
.RE
.LP
.B
destroy(This::wxPen()) -> ok
.br
.RS
.LP
Destroys this object, do not use object again
.RE
